## org.apache.lucene.search.spans
Class SpanTermQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.spans.SpanQuery
              org.apache.lucene.search.spans.SpanTermQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  PayloadTermQuery

    public class SpanTermQuery

extends SpanQuery

Matches spans containing a term.

See Also:
  Serialized Form

Field Summary
`protected Term` `term`

Constructor Summary
`SpanTermQuery(Term term)` Construct a SpanTermQuery matching the named term's spans.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`void` `extractTerms(java.util.Set terms)` Expert: adds all terms occurring in this query to the terms set.
`java.lang.String` `getField()` Returns the name of the field matched by this query.
`Spans` `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
`Term` `getTerm()` Return the term whose spans are matched.
`java.util.Collection` `getTerms()` Deprecated. use extractTerms instead
`int` `hashCode()`
`java.lang.String` `toString(java.lang.String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

Methods inherited from class org.apache.lucene.search.spans.SpanQuery
`createWeight`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### term

    protected Term term

Constructor Detail

### SpanTermQuery

    public SpanTermQuery(Term term)

  Construct a SpanTermQuery matching the named term's spans.

Method Detail

### getTerm

    public Term getTerm()

  Return the term whose spans are matched.

### getField

    public java.lang.String getField()

  Description copied from class: `SpanQuery`
  Returns the name of the field matched by this query.

  Specified by:
    `getField` in class `SpanQuery`

### getTerms

    public java.util.Collection getTerms()

  Deprecated. use extractTerms instead

  Returns a collection of all terms matched by this query.

  Specified by:
    `getTerms` in class `SpanQuery`
  See Also:
    `extractTerms(Set)`

### extractTerms

    public void extractTerms(java.util.Set terms)

  Description copied from class: `Query`
  Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public java.lang.String toString(java.lang.String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` assumed to be the default field and omitted.

  The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

  - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
  - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.

  Specified by:
    `toString` in class `Query`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Query`

### getSpans

    public Spans getSpans(IndexReader reader)
                   throws java.io.IOException

  Description copied from class: `SpanQuery`
  Expert: Returns the matches for this query in an index. Used internally to search for spans.

  Specified by:
    `getSpans` in class `SpanQuery`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.